import { Injectable } from '@angular/core';

import { HttpClient } from '@angular/common/http';

const serviceURL = './service/settings/business-parameter-configuration';

@Injectable({
  providedIn: 'root'
})

export class BusinessParametersService {

  constructor(private http: HttpClient) { }

  getData() {
    return this.http.post(serviceURL, null);
  }

  getConfiguration(id){
    return this.http.get<any>(serviceURL+ '/searchKey/' + id);
  }
}